// Made by zakarum5835

// Warden Upgrade by killing the Warden

EntityEvents.drops("minecraft:warden", event => {
    event.addDrop("deeperdarker:warden_upgrade_smithing_template")
})

// End Eyes from End Remastered mod can be obtained from certain mods that adds tough bosses

// Mowzies Mobs

// Cold Eye from FrostMaw

EntityEvents.drops("mowziesmobs:frostmaw", event => {
    event.addDrop("endrem:cold_eye")
})

// Rogue Eye from Umvuthi the Sunbird

EntityEvents.drops("mowziesmobs:umvuthi", event => {
    event.addDrop("endrem:rogue_eye")
})

// Old Eye from Tongbi, the Sculptor

EntityEvents.drops("mowziesmobs:sculptor", event => {
    event.addDrop("endrem:old_eye")
})

// Undead Eye from Ferrous Wroughtnaut

EntityEvents.drops("mowziesmobs:ferrous_wroughtnaut", event => {
    event.addDrop("endrem:undead_eye")
})

// Bosses of Mass Destruction

// Magical Eye from Lich

EntityEvents.drops("bosses_of_mass_destruction:lich", event => {
    event.addDrop("endrem:magical_eye")
})

// Witch Eye from Void Blossom

EntityEvents.drops("bosses_of_mass_destruction:void_blossom", event => {
    event.addDrop("endrem:witch_eye")
})

// Bosses Rise

// Cryptic Eye from Helvar, the underworld Knight

EntityEvents.drops("block_factorys_bosses:underworld_knight", event => {
    event.addDrop("endrem:cryptic_eye")
})

// Old Eye from Sandworm

EntityEvents.drops("block_factorys_bosses:sandworm", event => {
    event.addDrop("endrem:old_eye")
})

// Exotic Eye from The Kraken

EntityEvents.drops("block_factorys_bosses:kraken", event => {
    event.addDrop("endrem:exotic_eye")
})

// Legendary Monsters

// Corrupted Eye from Ancient Guardian

EntityEvents.drops("legendary_monsters:ancient_guardian", event => {
    event.addDrop("endrem:corrupted_eye")
})

// Lost Eye from Withered Abomination

EntityEvents.drops("legendary_monsters:withered_abomination", event => {
    event.addDrop("endrem:lost_eye")
})

// Black Eye from Cumulonimbus

EntityEvents.drops("legendary_monsters:cloud_golem", event => {
    event.addDrop("endrem:black_eye")
})

// Cataclysm

// Cursed Eye from Netherite Monstrosity

EntityEvents.drops("cataclysm:netherite_monstrosity", event => {
    event.addDrop("endrem:cursed_eye")
})

// Guardian Eye from The Leviathan

EntityEvents.drops("cataclysm:the_leviathan", event => {
    event.addDrop("endrem:guardian_eye")
})